import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
    static $t: Type;
    constructor();
    protected get_sk(): IndicatorCalculationStrategy;
    protected get sk(): IndicatorCalculationStrategy;
    protected get_sx(): Type;
    protected get sx(): Type;
    get s5(): number;
    set s5(a: number);
    static readonly ta: DependencyProperty;
    protected sq(): number;
    sz(a: number): void;
    get smoothingPeriod(): number;
    set smoothingPeriod(a: number);
    static readonly tb: DependencyProperty;
    protected ss(): number;
    get s7(): number;
    set s7(a: number);
    static readonly tc: DependencyProperty;
    protected sp(): number;
    protected r0(): number;
}
